Koozali.org formerly Contribs.org

Compiling drivers for SME 5.6

Paul van Dun

Compiling drivers for SME 5.6
« on: February 01, 2003, 11:33:52 PM »
Hello everyone,

I've installed the rpm's to compile drivers on e-smith (similar procedure on 5.12 and 5.5).
I tried to compile the dazuko driver (http://www.dazuko.org) om my testrig running 5.6, but when I tried the command insmod dazuko.o the message I got was the following:

error:

this driver is compiled for linux-2.4.18-5custom and you are running linux-2.4.18-5

I've also compiled the driver on 5.12 and 5.5 but never got this message, anyone an idea what the custom means and/or can this be removed.

Looking forward to your reply,

Best regards.
Paul van Dun

Duncan

Re: Compiling drivers for SME 5.6
« Reply #1 on: February 02, 2003, 02:20:46 AM »
If you take a look in the Makefile (at the top) you will see the -5custom bit. I just edited it out.

Regards Duncan

Paul van Dun

Re: Compiling drivers for SME 5.6
« Reply #2 on: February 02, 2003, 11:28:32 PM »
Thanks Duncan,

I overlooked this Makefile, this small editing did the job.

Best regards,

Paul van Dun